Subject: bug#21605: 24.3; Eshell not using stderr

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 12 May 2022 14:26:21 +0200

Nikolas De Giorgis <[email-masked]> writes:

> Starting from emacs -Q
> go into eshell (M-x eshell)
> executing the following c++ program: 
> #include <iostream>
> int main()
> {
>    std::cerr << "ERROR\n";
>    std::cout << "OUTPUT\n";
> }
> provides the following output:
> ~ $ ./a.out 2> /dev/null
> ERROR
> OUTPUT
> From which it seems that eshell ignores stderr and sends everything to stdout

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

This seems to be the case in Emacs 29, too, but I'm not sure whether
this is by design or not.  I've added Jim to the CCs; perhaps he has
some input here.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no